# set-proxy

## Purpose

Sets the proxy Grails should use when communicating over the internet such as with the install-plugin command

## Examples

    grails set-proxy

## Description

Usage:

    grails set-proxy

Arguments:

- `http.proxyHost` - The host name of the proxy server
- `http.proxyPort` - The port of the proxy server
- `http.proxyUserName` - The username of the proxy server
- `http.proxyPassword` - The password of the proxy server